Bug 456582 (tex-fontools)

Summary: Review Request: tex-fontools - Tools for handling fonts with LaTeX and fontinst
Product: [Fedora] Fedora Reporter: Vasile Gaburici <gaburici>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, fonts-bugs, itamar, jnovy, jonathan.underwood, mcepl, notting, pertusus
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-10 19:27:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 458430    
Bug Blocks: 201449    

Description Vasile Gaburici 2008-07-24 15:37:22 EDT
Spec URL: http://www.cs.umd.edu/~gaburici/tex-fontools.spec
SRPM URL: http://www.cs.umd.edu/~gaburici/tex-fontools-20070807-1.fc9.src.rpm
Description:
This package provides a few tools to ease using fonts (especially
TrueType/OpenType ones) with LaTeX and fontinst. The main tool is
autoinst. It simplifies the use of the LCDF TypeTools by creating
a command file for otftotfm, plus it generates .fd and .sty files.
Comment 1 Vasile Gaburici 2008-07-24 15:43:42 EDT
Btw, this is my first package and I'm seeking a sponsor.
Comment 2 Vasile Gaburici 2008-07-24 15:54:06 EDT
*** Bug 456581 has been marked as a duplicate of this bug. ***
Comment 3 Jonathan Underwood 2008-07-25 09:19:42 EDT
Neither of those URLs work.... 
Comment 4 Jonathan Underwood 2008-07-26 10:45:33 EDT
Builds cleanly in mock.

rpmlint output:

tex-fontools.noarch: W: invalid-license GPL
tex-fontools.src: W: invalid-license GPL
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

The package contains a copy of the GPL v2 license, but not COPYING file.
However, according to the docs it is licensed under GPLv2 (and not GPLv2+), so I
think the license tag should be GPLv2.


Comment 5 Jonathan Underwood 2008-07-26 12:44:46 EDT
A major problem: lcdf-typetools is not available in the Fedora repositories, so
until that is packaged, this is somewhat blocked. Nonetheless, see below.

I am not a sponsor, so cannot officially review the package since your sponsor
must do that, so here is a "pre-review" which will hopefully save a sponsor some
time.


Legend:  
GOOD: +  BAD: -   
Not Applicable: N/A  
Still in Progress or questinable: ?


- MUST: rpmlint must be run on every package. The output should be posted in the
review.
See Above

+ MUST: The package must be named according to the  Package Naming Guidelines .

+ MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on  Package Naming Guidelines .

? MUST: The package must meet the Packaging Guidelines .
The Requires for texlive-latex should be replaced with Requires: tex(latex)
For consistency %buildroot should be %{buildroot} throughout. Similarly with
%_mandir/%{_mandir}
The preferred value for BuildRoot is 
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
but the one that is currently used is the second best, so not a blocker.
I notice that the Perl module dependencies are correctly detected by rpm, so no
need for explicit perl module dependencies.


+ MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .

- MUST: The License field in the package spec file must match the actual license.
See rpmlint output

+ MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

+ MUST: The spec file must be written in American English.

+ MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).

+ MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
upstream: 4c879bc479d48965a99abfaebd1b9101  fontools.zip
package: 4c879bc479d48965a99abfaebd1b9101  fontools-20070807.zip


+ MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.

N/A MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in ExcludeArch. 

- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the [wiki:Self:Packaging/Guidelines#Exceptions exceptions
section of Packaging Guidelines] ; inclusion of those as BuildRequires is
optional. Apply common sense.
BuildRequires: texlive-texmf is really desireable, as this will define
%{_texmf_main}, which you should use instead of%{_texmf}, I think. Currently the
BuildRequires: /usr/binkpsewich actually does pull this in, but I think it
should be an explicit package dependency. Related to that, I wonder about this
macro at the top:
%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}
would it not be preferable to have the following?
%{!?_texmf_main: %define _texmf_main %{_datadir}/texmf}
This is up for debate, and we really need to get some tex packaging guidelines
sorted out.

+ MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

N/A MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig. 

N/A MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

+ MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.

+ MUST: A package must not contain any duplicate files in the %files listing.

+ MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.

+ MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} ([wiki:Self:Packaging/Guidelines#UsingBuildRootOptFlags or
$RPM_BUILD_ROOT] ).

- MUST: Each package must consistently use macros, as described in the
[wiki:Self:Packaging/Guidelines#macros macros section of Packaging Guidelines] .
See above about use of {} in macros.

+ MUST: The package must contain code, or permissable content. This is described
in detail in the [wiki:Self:Packaging/Guidelines#CodeVsContent code vs. content
section of Packaging Guidelines] .

N/A MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)

+ MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

N/A MUST: Header files must be in a -devel package.
N/A MUST: Static libraries must be in a -static package.
N/A MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
N/A MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package.
N/A MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
N/A MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
N/A MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. T

+ MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} 

+ MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:

+ SHOULD: If the source package does not include license text(s) as a separate
file from upstream, the packager SHOULD query upstream to include it.
Note: it would be nice if a COPYING file was included.


N/A SHOULD: The description and summary sections in the package spec file should
contain translations for supported Non-English languages, if available.

+ SHOULD: The reviewer should test that the package builds in mock. See
[wiki:Self:PackageMaintainers/MockTricks MockTricks] for details on how to do this.

+ SHOULD: The package should compile and build into binary rpms on all supported
architectures.

- SHOULD: The reviewer should test that the package functions as described. A
package should not segfault instead of running, for example.
Currently can't be installed since lcdf-typetools is not in repos.

N/A SHOULD: If scriptlets are used, those scriptlets must be sane. This is
vague, and left up to the reviewers judgement to determine sanity.
N/A SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
N/A SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
this is usually for development purposes, so should be placed in a -devel pkg. A
reasonable exception is that the main pkg itself is a devel tool not installed
in a user runtime, e.g. gcc or gdb.

+ SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself. Please see File Dependencies in the Guidelines for
further information. 
Comment 6 Jonathan Underwood 2008-07-26 12:58:47 EDT
lcdf-typetools was in the Fedora Extras repo up until before FC6, so can be
resurrected from CVS.
Comment 7 Vasile Gaburici 2008-07-26 13:00:29 EDT
Oops. The lcdf-typetools I have on my box are indeed from a different repo. So,
first I have to package those for Fedora. I'll come back to this package once
that's done.
Comment 8 Jonathan Underwood 2008-07-26 13:07:06 EDT
OK. when you submit lcdf-typetools for review, please add the bugzilla number to
the "depends on" box of this bug.
Comment 9 Jonathan Underwood 2008-07-26 13:14:39 EDT
One other thing, Source0 should contain a full URL to the zip archive:

ftp://cam.ctan.org/tex-archive/fonts/utilities/fontools.zip
Comment 10 Nicolas Mailhot 2008-07-27 06:05:59 EDT
(In reply to comment #5)

> I am not a sponsor, so cannot officially review the package since your sponsor
> must do that, so here is a "pre-review" which will hopefully save a sponsor some
> time.

I don't think there is any requirement for the sponsor to be the one who reviews
the first package. You can check a new contributor behaviour with third-party
reviews too.

As for the sponsorship bit, should the TEX community wish to be more involved in
Fedora, and package more TEX-related stuff, I'm sure something could be arranged
(additional work alert!)
Comment 11 Jason Tibbitts 2009-07-09 22:00:06 EDT
Wow, this is an old one.  Did anything ever happen with this package?  I know that lcdf-typetools was submitted by Vasile, then closed due to a lack of response and resubmitted by someone else.  It's now in the distribution, so this could progress, but given the lack of response to that review, I'm not sure if this one is still active.

So, Vasile, please respond.  Do you want to continue with this review?  If so, please address the above commentary and provide a new package.  I'll wait a month and if I don't hear back then I'll go ahead and close this.
Comment 12 Jason Tibbitts 2009-08-10 19:27:59 EDT
No response; closing as promised.